# Uses of Class
org.apache.lucene.queries.function.docvalues.BoolDocValues

Packages that use BoolDocValues
Package
Description
org.apache.lucene.queries.function.valuesource
A variety of functions to use with FunctionQuery.

- ## Uses of BoolDocValues in org.apache.lucene.queries.function.valuesource

  Methods in org.apache.lucene.queries.function.valuesource that return BoolDocValues
  Modifier and Type
  Method
  Description
  `BoolDocValues`
  MultiBoolFunction.`getValues(Map<Object,Object> context, LeafReaderContext readerContext)`
  `BoolDocValues`
  SimpleBoolFunction.`getValues(Map<Object,Object> context, LeafReaderContext readerContext)`